;;; -*- mode: lisp -*-
;;;
;;; lj-package.lisp --- package definition for livejournal
;;;
;;; Copyright (C) 2001 by Mark Simpson
;;;
;;; Author: Mark Simpson <damned@rover>
;;; This program is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2, or (at your option)
;;; any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, you can either send email to this
;;; program's maintainer or write to: The Free Software Foundation,
;;; Inc.; 675 Massachusetts Avenue; Cambridge, MA 02139, USA.
;;;
;;; Commentary: 

;;; Code: 

;;;
;;; PACKAGE DEFINTION
;;;
(defpackage "LIVEJOURNAL"
  (:nicknames "LJ")
  (:use "COMMON-LISP")
  (:export
   ;; important global variables
   "*USERNAME*" "*PASSWORD*" "*SERVER-HOST*" "*SERVER-PORT*"

   ;; low level protocol functions
   "LOGIN" "CHECKFRIENDS" "GETEVENTS" "POSTEVENT" "SYNCITEMS"
   "GETDAYCOUNTS" "GETFRIENDGROUPS" "FRIENDOF" "GETFRIENDS"

   ;; slightly higher level functions
   "INIT" "POST-THIS-FILE" "POST-FILE"

   ;; FRIEND class and methods
   "FRIEND" "USERNAME" "REALNAME" "BG-COLOR" "FG-COLOR" "TYPE"

   ;; EVENT class and methods
   "EVENT" "SUBJECT" "ITEMID" "TEXT" "EVENTTIME" "ACTION"

   ;; higher level functions which return list of classes
   "GET-FRIEND-LIST" "GET-FRIENDOF-LIST" "GET-SYNCITEM-LIST"))

(provide 'lj-pkg)

;;; lj-package.lisp ends here